# RegularPoll - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.polls / RegularPoll

# RegularPoll

(common) `data class RegularPoll : MultipleAnswersPoll` (source)

### Constructors

(common)

#### <init>

`RegularPoll(id: PollIdentifier, question: String, options: List<PollOption>, votesCount: Int, isClosed: Boolean = false, isAnonymous: Boolean = false, allowMultipleAnswers: Boolean = false, scheduledCloseInfo: ScheduledCloseInfo? = null)`

### Properties

(common)

#### allowMultipleAnswers

`val allowMultipleAnswers: Boolean`

(common)

#### id

`val id: PollIdentifier`

(common)

#### isAnonymous

`val isAnonymous: Boolean`

(common)

#### isClosed

`val isClosed: Boolean`

(common)

#### options

`val options: List<PollOption>`

(common)

#### question

`val question: String`

(common)

#### scheduledCloseInfo

`val scheduledCloseInfo: ScheduledCloseInfo?`

(common)

#### votesCount

`val votesCount: Int`

### Extension Functions

(common)

#### createRequest

`fun Poll.createRequest(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): SendPoll`